%define debug 0

%define build_for_ftp 0

%define strip_bin 1
%define final 0

%define desktop_file 0
%define desktop_file_utils_version 0.2.93

%define qt_version 3.1.1

%define libtool 0

Name: kdenetwork
Version: 3.1
Release: 16
Icon: kde-icon.xpm
Summary: K Desktop Environment - Network Applications
Epoch: 7
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Source1: kppp.pamd
Source2: ktalk
Source4: lisarc
Source5: lisa.redhat

Patch0: kdenetwork-3.1-desktop.patch
Patch1: kdenetwork-3.1-buildroot.patch
Patch2: kdenetwork-3.1-lisa.patch
Patch3: kde-libtool.patch
Patch4: kdenetwork-3.1-kget.patch
Patch5: kdenetwork-3.1-kget_mozilla.patch
Patch6: kdenetwork-3.1-20030617.patch
Patch7: kdenetwork-3.1-kget-shutdown.patch
Patch8: kdenetwork-3.1-tips.patch
Patch9: kdenetwork-3.1-kget_dragtarget.patch

Requires: kdelibs >= 6:%{version}-1
Requires: kdebase >= 6:%{version}-1
Prereq: /sbin/chkconfig

BuildRequires: qt-devel >= %{qt_version}
BuildRequires: kdelibs-devel >= %{version}-7
BuildRequires: XFree86-devel
BuildRequires: libtool
BuildRequires: glibc-devel
BuildRequires: gcc-c++
BuildRequires: automake
BuildRequires: autoconf >= 2.53

%if %{build_for_ftp}
ExclusiveArch: %{ix86}
%endif

%if %{desktop_file}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
%endif

Requires(post,postun): /sbin/ldconfig

Obsoletes: kdenetwork2
Obsoletes: %{name}-libs
Obsoletes: kdict
Obsoletes: kit
Obsoletes: kmail
Obsoletes: knewsticker
Obsoletes: knode
Obsoletes: korn
Obsoletes: kpf
Obsoletes: kppp
Obsoletes: kdenetwork-ppp
Obsoletes: ksirc
Obsoletes: ktalkd
Obsoletes: kxmlrpcd
Obsoletes: lisa

Provides: %{name}-libs
Provides: kdict
Provides: kit
Provides: kmail
Provides: knewsticker
Provides: knode
Provides: korn
Provides: kpf
Provides: kppp
Provides: ksirc
Provides: ktalkd
Provides: kxmlrpcd
Provides: lisa

%description
Networking applications for the K Desktop Environment.

%package devel
Summary: Development files for kdenetwork
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}

%description devel
Development files for kdenetwork. Install kdenetwork-devel if you wish
to develop or compile KDE networking applications.

%package kmail
Summary: Development files for kmail
Group: Internet
Requires: %{name} = %{epoch}:%{version}-%{release}

%description kmail 
Development files for kmail.

%prep
%setup -q
%patch0 -p1 -b .dt
%patch1 -p1 -b .buildroot
%patch2 -p1 -b .lisa
%patch3 -p1 -b .libtool
%patch4 -p1 -b .kget
%patch5 -p1 -b .kget_mozilla
%patch6 -p1 -b .kmail
%patch7 -p1 -b .kget-shutdown
%patch8 -p1 -b .tips
%patch9 -p1 -b .dragtarget

# Workaround for legacy auto* tools
%if %{libtool}
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
make -f Makefile.cvs
%endif

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -fno-use-cxa-atexit -DNDEBUG -DNO_DEBUG"
export CFLAGS="$FLAGS $RPM_OPT_FLAGS"
export CXXFLAGS="$FLAGS $RPM_OPT_FLAGS"
export KDEDIR=%{_prefix}

%configure \
   --with-qt-libraries=$QTDIR/lib \
   --includedir=%{_includedir}/kde

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/kppp

# Make symlinks relative
mkdir -p $RPM_BUILD_ROOT%{_docdir}/HTML/en/common
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
   [ -d $i -a -L $i/common ] && ln -nfs ../common $i
done
popd

# Run kppp through consolehelper
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_bindir}/kppp $RPM_BUILD_ROOT%{_sbindir}
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/kppp
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
cat >$RPM_BUILD_ROOT/etc/security/console.apps/kppp <<EOF
USER=root
PROGRAM=%{_sbindir}/kppp
SESSION=true
EOF

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/xinetd.d
cp %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/xinetd.d

# move desktop files back
pushd $RPM_BUILD_ROOT%{_datadir}/applnk
for i in `find . -name "More"`; do
   if /bin/ls $i/*.desktop >& /dev/null ; then
      pushd $i
      for j in *.desktop ; do
         grep "Hidden=true" $j >& /dev/null || mv -f $j ..
      done
      popd
   fi
done
popd

# Add lisa startup script
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/lisarc
install -m 0755 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/lisa

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/Internet
cp -f kmail/KMail.desktop $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/Internet/
cp -f kget/kget.desktop $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/Internet/


%clean
rm -rf $RPM_BUILD_ROOT

%files kmail
%{_bindir}/kmail
%{_bindir}/kmailcvt
/usr/share/applnk/Applications/Internet/KMail.desktop
/usr/share/apps/kconf_update/kmail-3.1-update-new-mail-notification-settings.pl
/usr/share/apps/kconf_update/kmail-3.1-use-UOID-for-identities.pl
/usr/share/apps/kconf_update/kmail-pgpidentity.pl
/usr/share/apps/kconf_update/kmail-upd-identities.pl
/usr/share/apps/kconf_update/kmail.upd
/usr/share/apps/kmail
/usr/share/apps/kmail/about
/usr/share/apps/kmail/about/background.png
/usr/share/apps/kmail/about/bgtable.png
/usr/share/apps/kmail/about/kdelogo2.png
/usr/share/apps/kmail/about/kmail.png
/usr/share/apps/kmail/about/konq.css
/usr/share/apps/kmail/about/lines.png
/usr/share/apps/kmail/about/lines2.png
/usr/share/apps/kmail/about/main.html
/usr/share/apps/kmail/about/pointers.png
/usr/share/apps/kmail/about/shadow1.png
/usr/share/apps/kmail/eventsrc
/usr/share/apps/kmail/kmcomposerui.rc
/usr/share/apps/kmail/kmmainwin.rc
/usr/share/apps/kmail/pics
/usr/share/apps/kmail/pics/kdelogo.png
/usr/share/apps/kmail/pics/key.png
/usr/share/apps/kmail/pics/key_bad.png
/usr/share/apps/kmail/pics/key_ok.png
/usr/share/apps/kmail/pics/key_unknown.png
/usr/share/apps/kmail/pics/kmailwindowlayout1.png
/usr/share/apps/kmail/pics/kmailwindowlayout1_no_mime.png
/usr/share/apps/kmail/pics/kmailwindowlayout1_smart_mime.png
/usr/share/apps/kmail/pics/kmailwindowlayout2.png
/usr/share/apps/kmail/pics/kmailwindowlayout2_no_mime.png
/usr/share/apps/kmail/pics/kmailwindowlayout2_smart_mime.png
/usr/share/apps/kmail/pics/kmailwindowlayout3.png
/usr/share/apps/kmail/pics/kmailwindowlayout3_no_mime.png
/usr/share/apps/kmail/pics/kmailwindowlayout3_smart_mime.png
/usr/share/apps/kmail/pics/kmailwindowlayout4.png
/usr/share/apps/kmail/pics/kmailwindowlayout4_no_mime.png
/usr/share/apps/kmail/pics/kmailwindowlayout4_smart_mime.png
/usr/share/apps/kmail/pics/kmailwindowlayout5.png
/usr/share/apps/kmail/pics/kmailwindowlayout5_no_mime.png
/usr/share/apps/kmail/pics/kmailwindowlayout5_smart_mime.png
/usr/share/apps/kmail/pics/kmmsgdel.png
/usr/share/apps/kmail/pics/kmmsgfiller.png
/usr/share/apps/kmail/pics/kmmsgflag.png
/usr/share/apps/kmail/pics/kmmsgforwarded.png
/usr/share/apps/kmail/pics/kmmsgfullyencrypted.png
/usr/share/apps/kmail/pics/kmmsgfullysigned.png
/usr/share/apps/kmail/pics/kmmsgnew.png
/usr/share/apps/kmail/pics/kmmsgold.png
/usr/share/apps/kmail/pics/kmmsgpartiallyencrypted.png
/usr/share/apps/kmail/pics/kmmsgpartiallysigned.png
/usr/share/apps/kmail/pics/kmmsgqueued.png
/usr/share/apps/kmail/pics/kmmsgreplied.png
/usr/share/apps/kmail/pics/kmmsgsent.png
/usr/share/apps/kmail/pics/kmmsgundefinedencrypted.png
/usr/share/apps/kmail/pics/kmmsgundefinedsigned.png
/usr/share/apps/kmail/pics/kmmsgunseen.png
/usr/share/apps/kmail/pics/pgp-keys.png
/usr/share/apps/kmail/pics/pub_key_red.png
/usr/share/apps/kmail/pics/stopwatch.xbm
/usr/share/apps/kmail/pics/stopwatchMask.xbm
/usr/share/apps/kmail/profile-default-rc
/usr/share/apps/kmail/profile-high-contrast-rc
/usr/share/apps/kmail/profile-html-rc
/usr/share/apps/kmail/profile-purist-rc
/usr/share/apps/kmail/profile-secure-rc
/usr/share/apps/kmail/tips
/usr/share/doc/HTML/en/kmail
/usr/share/doc/HTML/en/kmail/common
/usr/share/doc/HTML/en/kmail/configure.docbook
/usr/share/doc/HTML/en/kmail/credits-and-licenses.docbook
/usr/share/doc/HTML/en/kmail/faq.docbook
/usr/share/doc/HTML/en/kmail/getting-started.docbook
/usr/share/doc/HTML/en/kmail/importing.docbook
/usr/share/doc/HTML/en/kmail/index.cache.bz2
/usr/share/doc/HTML/en/kmail/index.docbook
/usr/share/doc/HTML/en/kmail/intro.docbook
/usr/share/doc/HTML/en/kmail/menus.docbook
/usr/share/doc/HTML/en/kmail/using-kmail.docbook
/usr/share/icons/crystalsvg/128x128/apps/kmail.png
/usr/share/icons/crystalsvg/16x16/apps/kmail.png
/usr/share/icons/crystalsvg/16x16/apps/kmailcvt.png
/usr/share/icons/crystalsvg/32x32/apps/kmail.png
/usr/share/icons/crystalsvg/32x32/apps/kmailcvt.png
/usr/share/icons/crystalsvg/48x48/apps/kmail.png
/usr/share/icons/crystalsvg/48x48/apps/kmailcvt.png
/usr/share/icons/crystalsvg/64x64/apps/kmail.png
/%{_libdir}/libkdenetwork.so.2
/%{_libdir}/libkdenetwork.so.2.0.0
/%{_libdir}/libkntsrcfilepropsdlg.so
/%{_libdir}/libmimelib.so.1
/%{_libdir}/libmimelib.so.1.0.1

%files 
/usr/bin/kget
/%{_libdir}/kde3/khtml_kget.so
/usr/share/applnk/Applications/Internet/kget.desktop
/usr/share/apps/kget
/usr/share/apps/kget/icons
/usr/share/apps/kget/icons/crystalsvg
/usr/share/apps/kget/icons/crystalsvg/22x22
/usr/share/apps/kget/icons/crystalsvg/22x22/actions
/usr/share/apps/kget/icons/crystalsvg/22x22/actions/tool_clipboard.png
/usr/share/apps/kget/icons/crystalsvg/22x22/actions/tool_delay.png
/usr/share/apps/kget/icons/crystalsvg/22x22/actions/tool_delete.png
/usr/share/apps/kget/icons/crystalsvg/22x22/actions/tool_disconnect.png
/usr/share/apps/kget/icons/crystalsvg/22x22/actions/tool_dock.png
/usr/share/apps/kget/icons/crystalsvg/22x22/actions/tool_drop_target.png
/usr/share/apps/kget/icons/crystalsvg/22x22/actions/tool_expert.png
/usr/share/apps/kget/icons/crystalsvg/22x22/actions/tool_logwindow.png
/usr/share/apps/kget/icons/crystalsvg/22x22/actions/tool_normal.png
/usr/share/apps/kget/icons/crystalsvg/22x22/actions/tool_offline_mode_off.png
/usr/share/apps/kget/icons/crystalsvg/22x22/actions/tool_offline_mode_on.png
/usr/share/apps/kget/icons/crystalsvg/22x22/actions/tool_paste.png
/usr/share/apps/kget/icons/crystalsvg/22x22/actions/tool_pause.png
/usr/share/apps/kget/icons/crystalsvg/22x22/actions/tool_preferences.png
/usr/share/apps/kget/icons/crystalsvg/22x22/actions/tool_queue.png
/usr/share/apps/kget/icons/crystalsvg/22x22/actions/tool_restart.png
/usr/share/apps/kget/icons/crystalsvg/22x22/actions/tool_resume.png
/usr/share/apps/kget/icons/crystalsvg/22x22/actions/tool_shutdown.png
/usr/share/apps/kget/icons/crystalsvg/22x22/actions/tool_timer.png
/usr/share/apps/kget/icons/crystalsvg/22x22/actions/tool_uselastdir.png
/usr/share/apps/kget/kgetui.rc
/usr/share/apps/kget/pics
/usr/share/apps/kget/pics/bar0.png
/usr/share/apps/kget/pics/bar1.png
/usr/share/apps/kget/pics/bar2.png
/usr/share/apps/kget/pics/bar3.png
/usr/share/apps/kget/pics/bar4.png
/usr/share/apps/kget/pics/bar5.png
/usr/share/apps/kget/pics/bar6.png
/usr/share/apps/kget/pics/connect0.png
/usr/share/apps/kget/pics/connect1.png
/usr/share/apps/kget/pics/connect2.png
/usr/share/apps/kget/pics/connect3.png
/usr/share/apps/kget/pics/connect4.png
/usr/share/apps/kget/pics/connect5.png
/usr/share/apps/kget/pics/connect6.png
/usr/share/apps/kget/pics/connect7.png
/usr/share/apps/kget/pics/dock.png
/usr/share/apps/kget/pics/md_delayed.png
/usr/share/apps/kget/pics/md_finished.png
/usr/share/apps/kget/pics/md_queued.png
/usr/share/apps/kget/pics/md_scheduled.png
/usr/share/apps/kget/pics/retrying.png
/usr/share/apps/kget/pics/target.png
/usr/share/apps/kget/pics/try0.png
/usr/share/apps/kget/pics/try1.png
/usr/share/apps/kget/pics/try2.png
/usr/share/apps/kget/pics/try3.png
/usr/share/apps/kget/pics/try4.png
/usr/share/apps/kget/pics/try5.png
/usr/share/apps/kget/pics/try6.png
/usr/share/apps/kget/pics/try7.png
/usr/share/apps/kget/sounds
/usr/share/apps/kget/sounds/added.wav
/usr/share/apps/kget/sounds/finished.wav
/usr/share/apps/kget/sounds/finishedall.wav
/usr/share/apps/kget/sounds/started.wav
/usr/share/apps/khtml/kpartplugins/kget_plug_in.rc
/usr/share/icons/crystalsvg/22x22/actions/khtml_kget.png
/usr/share/icons/crystalsvg/48x48/apps/kget.png
/usr/share/icons/crystalsvg/48x48/mimetypes/kget_list.png
/usr/share/mimelnk/application/x-kgetlist.desktop

%changelog
* Tue Oct 11 2004 Hua Jie <jiehua@redflag-linux.com> 3.1-16
- change /usr/lib to %{_libdir} to support different architecture

* Fri Jul  4 2003 Yun Liu <yunliu@redflag-linux.com> 3.1-15
- add process of draging from mozilla in  dragtarget.cpp

* Tue Jul  1 2003 Yun Liu <yunliu@redflag-linux.com> 3.1-14
- fix last saved time  error
- solute poping up wrong date error dialog when date is in (29,30,31).
- correct isEnable condition of spins when autoDisconnect is not checked.
- fix bug with always popup disconnect confirm dialog in each ten sec, also remove it.
- with patch : tips

* Tue Jun 24 2003 Yun Liu <yunliu@redflag-linux.com> 3.1-13
- remove dialog : select cut network when downloaded all items
- fix shutdown : select shutdown when downloaded all items

* Thu Jun 17 2003 Shu Li <shuli@redflag-linux.com> 3.1-12
- share the package and change kmail

* Fri May 23 2003 Yun Liu <yunliu@redflag-linux.com> 3.1-10
- add kdenetwork-3.1-kget_mozilla.patch

* Mon Apr 7 2003 Shu Li <shuli@redflag-linux.com> 3.1-7
- remove other tools ,change *.desktop 

* Thu Apr 3 2003 Yun Liu <yunliu@redflag-linux.com> 3.1-5
- fix bug which cannot download from mozilla
- correct download file's name when URL is unregular

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-4
- get rid of gcc path from dependency_libs

* Fri Feb 14 2003 Than Ngo <than@redhat.com> 3.1-3
- add patch to start lisa daemon correct from initscript, #84257
- dependency issue, #81430

* Wed Jan 29 2003 Than Ngo <than@redhat.com> 3.1-2
- get rid of kotalkd, bug #82765
- lisa initscript, bug #82935

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 release
- remove some unneeded macros
 
* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 7:3.1-0.10
- rebuild

* Sun Jan 12 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.9
- rc6
- exclude ia64

* Sun Dec 29 2002 Than Ngo <than@redhat.com> 3.1-0.8
- fix bug #80354

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 3.1-0.7
- rebuild

* Fri Dec 13 2002 Than Ngo <than@redhat.com> 3.1-0.6
- fix rpm conflicts

* Tue Dec 10 2002 Than Ngo <than@redhat.com> 3.1-0.5
- fix to build on s390/s390x

* Mon Dec  9 2002 Than Ngo <than@redhat.com> 3.1-0.4
- fix bug #78650
- desktop file issues

* Sun Dec  8 2002 Than Ngo <than@redhat.com> 3.1-0.3
- Add lisa startup script (bug #72114)
- fix dependency issue

* Thu Nov 28 2002 Than Ngo <than@redhat.com> 3.1-0.2
- add obsoletes/provides sub packages

* Tue Nov 26 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- remove sub packages

* Tue Nov 12 2002 Than Ngo <than@redhat.com> 3.0.5-3
- respin

* Mon Nov 11 2002 Nalin Dahyabhai <nalin@redhat.com> 3.0.5-2
- remove directory names from the PAM configuration, allowing the same config
  file to be used for all arches on multilib systems

* Sat Nov  9 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4

* Sat Oct 12 2002 Than Ngo <than@redhat.com> 3.0.3-3.1
- kpf Directory traversal

* Sat Aug 24 2002 Than Ngo <than@redhat.com> 3.0.3-3
- move knode menu entries to Extras (bug #71881)

* Wed Aug 21 2002 Preston Brown <pbrown@redhat.com> 3.0.3-2
- buildrequirement on automake15, autoconf >= 2.53
- move kmail, kppp, kppplogview menu entries to Extras

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- build using gcc-3.2-0.3

* Mon Aug  5 2002 Than Ngo <than@redhat.com> 3.0.2-4
- desktop file issues
- Added more BuildRequires (bug #70056)
- Added support timestamp
- Added Node.desktop in correct package (bug #65087)
- Fixed dangling symlink (bug #63876)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- build using gcc-3.2-0.1

* Sat Jul 20 2002 Than Ngo <than@redhat.com> 3.0.2-2
- fix desktop files issue

* Thu Jul 11 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 13 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Wed Apr 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Fix dangling symlink introduced by library renaming

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Rename libraries
- Fix default kmail settings

* Wed Apr  3 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-2
- Merge fixes for 3 potential kmail crashes from KDE_3_0_BRANCH

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0 final

* Wed Mar  6 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020306.1
- Rename subpackages

* Thu Jan 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020129.2
- Rebuild with new kdelibs

* Tue Jan 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020129.1
- Update

* Tue Jan  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020108.1
- Update
- Integrate ktalk stuff with xinetd

* Tue Dec 18 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011218.1
- Update
- Split into subpackages

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.1
- Update
- Add build dependencies
- Work around ia64 breakages

* Sun May 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010513.1
- Update to CVS
- clean up specfile
- Use %%post -p and %%postun -p

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin

* Mon Feb 19 2001 Than Ngo <than@redhat.com>
- update 2.1
- fix dangling symlinks

* Fri Feb  2 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Limit CPU usage to 2 CPUs to make asok happy

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't require perl, not everyone using ksirc is also using
  ksirc perl scripting...

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update (needed because of kdelibs change)
- Obsolete kdenetwork2 (from 7.0 preview)

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Tue Dec 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add missing PAM file, fix group

* Wed Nov 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to HEAD 

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update CVS (fix kmail segfault with empty identity)

* Tue Oct 31 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up consolehelper config

* Mon Oct 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current KDE_2_0_BRANCH (this should fix up knode)
- Run kppp through consolehelper (Bug #20021)
- Split of kppp and kppplog to a separate package, kdenetwork-ppp
  (RFE #20022)

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- disable keystone for now (compiler problem)

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- some fixes to spec file

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt with glibc-2.1.92-14 and gcc-2.96-40

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsolete ktalk (powertools 6.x)
- SMPify

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Epoch

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Mon Oct 25 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- initial RPM
